package com.adaptrex.core.rest;

import javax.ws.rs.core.UriInfo;

public interface RestService {

	RestStore getStore(String className, UriInfo uriInfo);

	RestStore getStore(String className, UriInfo uriInfo, String factoryName);

	RestModel getModel(String className, Object id, UriInfo uriInfo);

	RestModel getModel(String className, Object id, UriInfo uriInfo,
			String factoryName);

	RestModel createModel(String className, RequestBody modelData,
			UriInfo uriInfo);

	RestModel createModel(String className, RequestBody modelData,
			UriInfo uriInfo, String factoryName);

	RestModel updateModel(String className, Object id, RequestBody modelData,
			UriInfo uriInfo);

	RestModel updateModel(String className, Object id, RequestBody modelData,
			UriInfo uriInfo, String factoryName);

	RestModel deleteModel(String className, Object id);

	RestModel deleteModel(String className, Object id, String factoryName);

}
